#
# spec file for package schismtracker
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           schismtracker
Version:        20150409
Release:        5.2
Url:            http://schismtracker.org/
Summary:        Music editor that aims to match the look and feel of Impulse Tracker
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Editors and Convertors

#Hg-Clone:      http://schismtracker.org/hg/
#Snapshot:	2914:3fa3836ff27c
Source:         %name-%version.tar.xz
Source2:        %name.desktop
Patch1:         schism-alsa.diff
Patch2:         schism-nodate.diff
Patch3:         schism-deptrack.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  SDL-devel >= 1.2.10
BuildRequires:  alsa-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  freeglut-devel
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  python >= 2.4
BuildRequires:  update-desktop-files
BuildRequires:  xorg-x11-devel
BuildRequires:  xz

%description
Schism Tracker is a free reimplementation of Impulse Tracker, a
program used to create high quality music without the requirements of
specialized, expensive equipment, and with a unique "finger feel"
that is difficult to replicate in-part. The player is based on a
highly modified version of the Modplug engine, with a number of
bugfixes and changes to improve IT playback.

%prep
%setup -qn hg
%patch -P 1 -P 2 -P 3 -p1

%build
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
b="%buildroot"
make install DESTDIR="$b"
for size in 16 22 24 32 36 48 64 72 96 128 192; do
	install -Dm 0644 "icons/schism-icon-$size.png" \
		"$b/%_datadir/icons/hicolor/${size}x$size/apps/%name.png"
done
install -Dm 0644 icons/schism-icon.svg \
	"$b/%_datadir/icons/hicolor/scalable/apps/%name.svg"
# install desktop file
%suse_update_desktop_file -i %name

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%_bindir/schismtracker
%_datadir/icons/hicolor
%_datadir/applications/%name.desktop
%_mandir/man*/*

%changelog
* Thu Apr  9 2015 jengelh@inai.de
- Update to new snapshot 20150409
  * ping-pong effect was wrongly mixed together
  * support for loading 24-bit stereo WAV samples
  * use OpenMPT filters
* Sun Oct  5 2014 jengelh@inai.de
- Update to new snapshot 20140419
  * reset panning after S91 if sample/instrument has a default
  panning set
  * add timestamp sorting mode; hide *~ on all platforms
  * re-add note fade when hitting end of unlooped volume envelope
* Wed Feb  8 2012 jengelh@medozas.de
- Update to new upstream release 20120105
  * Shift-F10 now provides a dialog if the orderlist is empty
  * Fix loop points when deleting last point in envelope
  * Instrument list: Alt-Shift-A on trans table now copies sample
  name as well as assigning sample numbers
  * Less picky sample-replacement checking for pattern-to-sample
  rendering
  * Pattern editor: enter key now does channel search for instrument
  number if none is under the cursor
  * Add hidden option for inverted (more FT2-like) home/end key
  behavior in the pattern editor
  * Fix garbage writing when swapping portamento to the volume column
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Thu Sep 29 2011 idonmez@suse.com
- Add schismtracker-link.patch to link with new ld
* Sat Apr  9 2011 jengelh@medozas.de
- updated to Hg snapshot 20110409
- removed __DATE__/__TIME__ from source (via patch)
* Mon Aug 30 2010 jengelh@medozas.de
- Add a patch to schismtracker that restores sound for
  sound chips that lack hardware mixing capabilities.
* Wed Feb 24 2010 prusnak@suse.cz
- renamed to schismtracker
* Wed Feb 24 2010 jengelh@medozas.de
- updated to Hg snapshot 20100224
* Tue Dec 11 2007 prusnak@suse.cz
- updated to CVS snapshot 20071208
* Thu Nov  1 2007 prusnak@suse.cz
- added desktop and icon files
* Tue Sep 18 2007 prusnak@suse.cz
- created package (initial version 0.4.99.1 = 0.5rc1)
